﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<div id="historyEventLog">
   <div class="history-summary">
        <div class="table-title">
            <span>/*[ID_EVENT]*/</span>
        </div>
        <form action="../cgi-bin/web_cgi_query.cgi" method="get" id="historyForm">
         <% 
        var SetDisabled = "";
        var SetDisabledClass = "";
        var disabledselect="";
        if(args['level']==1 || args['level']==2){  
            SetDisabled = 'disabled="disabled"';
            SetDisabledClass = "btn_2_disabled";
            disabledselect=true;
        }
        %>
        <input type="hidden" name="equipID" id="equipID" value="0" />
        <p><strong <%if(lang==1){ %> style="width:102px"<%} %>>/*[ID_QUERY_TYPE]*/:</strong></p>
        <div class="dropdown">
            <div class="input_select set_value" data-index="3" name="data_type" id="data_type">/*[ID_EVENT_LOG]*/</div>
            <ul class="language yinc">
                 <li><a href="javascript:void(0)" rel="3">/*[ID_EVENT_LOG2]*/</a></li>
            </ul>
            <%if(disabledselect){%>
                <div class="hidden_input_select"></div>
            <%} %>
        </div>
        <p><strong <%if(lang==1){ %> style="width:102px"<%} %>>/*[ID_FROM]*/:</strong><input type="text" value="" name="dateFrom" id="dateFrom" <%=SetDisabled %>  maxlength="19" /></p>
        <p><strong<%if(lang==1){ %> style="width:102px"<%} %>>/*[ID_TO]*/:</strong><input type="text" value="" name="dateTo" id="dateTo"  <%=SetDisabled %>  maxlength="19" />
        <a href="#" class="btn_2 <%=SetDisabledClass %>" id="HistoryQuery"><span>/*[ID_QUERY]*/</span></a>
        <a href="/var/download/download_eventLog.html" target="_blank" class="btn_2 historyUpload"><span>/*[ID_UPLOAD]*/</span></a>
        </p>
        <p class="info">/*[ID_TIPS]*/!</p>
        </form>
    </div>
     <script id="temp_historyList" type="text/x-dot-template">
            {{
             var ctrlResult = [
                 "/*[ID_CTL_RESULT0]*/",
                 "/*[ID_CTL_RESULT1]*/",
                 "/*[ID_CTL_RESULT2]*/",
                 "/*[ID_CTL_RESULT3]*/",
                 "/*[ID_CTL_RESULT4]*/",
                 "/*[ID_CTL_RESULT5]*/",
                 "/*[ID_CTL_RESULT6]*/",
                 "/*[ID_CTL_RESULT7]*/"
                ];
            }}
           <table border="0" cellpadding="0" cellspacing="0" class="table-a" id="HistoryTable">
            <thead><tr><th style="width:30px;">/*[ID_INDEX]*/</th><th style="width:100px;">/*[ID_EQUIP]*/</th><th>/*[ID_SIGNAL]*/</th><th style="width:76px;">/*[ID_CONTROL_VALUE]*/</th><th style="width:28px;">/*[ID_UNIT]*/</th><th style="width:120px;">/*[ID_TIME]*/</th><th style="width:80px;">/*[ID_SENDER_NAME]*/</th><th style="width:70px;">/*[ID_SENDER_TYPE]*/</th></tr></thead><tbody>{{for(var i=0,ilen=history_content.length; i<ilen; i++){ }}<tr{{if(i%2==1){ }} class="gray"{{} }}><td>{{=i+1}}</td>{{for(var j=0,jlen=history_content[i].length; j<jlen-1; j++){ if(j==4){ var setTimeStr = Pages.SetSettingDate(history_content[i][j]);}}<td>{{=setTimeStr }}</td>{{ } else if(j==7) { }}<td>{{=ctrlResult[history_content[i][j]] }}</td>{{ } else { }}<td>{{=history_content[i][j] }}</td>{{ } }}{{} }}</tr>{{} }}</tbody>
            </table>
    </script>
    <div class="history-list" id="historyList"></div>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>